#pragma once

#include "xmlframe.h"

class CXmlListBox : public CXmlFrame
{
public:
	CXmlListBox(CXmlUi* pXmlUi=NULL, CXmlLayout* pParent=NULL);
	virtual ~CXmlListBox();	

	enum 
	{
		eInsertMode_Top			= 0,
		eInsertMode_Bottom		= 1,
	};

	static	int					XmlValueToInsertMode(const char* valueStr);
	
	virtual	void				LoadNodeAttribute(const DOMNamedNodeMap* nodeMap);
	virtual	void				LoadNodeElement(const DOMNode* node, const char* nodeName);
	virtual	void				Inherit(CXmlLayout* pXmlLayout);

public:
	CXmlFontString*				m_fontString;
	CXmlInset					m_textInsets;
	float						m_fadeDuration;
	int							m_insertMode;
};